Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class ScaledBitmap2

[frames | no frames]

## Class ScaledBitmap2

           DrawObject --+
                        |
    XYObjectMixin --+   |
                    |   |
      TextObjectMixin --+
                        |
                       ScaledBitmap2

An alternative scaled bitmap that only scaled the required amount of the main bitmap when zoomed in: EXPERIMENTAL!

Method Summary
| `__init__(self, Bitmap, XY, Height, Width, Position, InForeground)`
| `CalcBoundingBox(self)`
| ``WorldToBitmap`(self, Pw)` computes bitmap coords from World coords

Class Variable Summary

Method Details

### WorldToBitmap(self, Pw)

computes bitmap coords from World coords

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:51 2007 | http://epydoc.sf.net